<?php
	$wp_customize->add_panel( 'tallytheme_site_footer', array(
		'title' => 'Site Footer',
		'priority' => 10,
		'description' => '',
	));	
	
	
	/*	Logo
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_footer_settings', 
		array(
			'title' => __( 'Content & Settings', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_footer',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_footer_settings';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_footer_settings_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to remove Footer Credit and change widget layout?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Footer Settings',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	/*-~- Footer Widgets Layout -~-*/
	if(tallytheme_d()){
	$uid = $prefix.'[footer_widgets_layout]';
	$wp_customize->add_setting( $uid, array('default' => '5,3,2,2', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Footer Widgets Layout', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport'         => 'refresh',
			'choices'    => array(
				'5,3,2,2'     => __('4 Columns (5/3/2/2)', 'kutub'),
				'6,2,2,2'     => __('4 Columns (6/2/2/2)', 'kutub'),
				'3,3,3,3'     => __('4 Columns (3/3/3/3)', 'kutub'),
				'4,4,4'     => __('3 Columns (4/4/4)', 'kutub'),
				'6,3,3'     => __('3 Columns (6/3/3)', 'kutub'),
				'3,3,6'     => __('3 Columns (6/3/3)', 'kutub'),
				'6,6'     => __('2 Columns (6/6)', 'kutub'),
				'4,8'     => __('2 Columns (4/8)', 'kutub'),
				'8,4'     => __('2 Columns (8/4)', 'kutub'),
				'12'     => __('1 Columns (12)', 'kutub'),
				'none'     => __('Don\'t show', 'kutub'),
            ),
		)) 
	);
	}
	/*-~- Footer Copyright Text -~-*/
	$uid = $prefix.'[copy_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Copyright '.date("Y").' '.get_bloginfo( 'name' ).'. All rights reserved.', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Footer Copyright Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'textarea',
			'transport' => 'refresh',
		)) 
	);
	
	/*-~- Footer Copyright Text -~-*/
	if(tallytheme_d()){
	$uid = $prefix.'[credit_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Design By <a href="'.esc_url_raw('//tallythemes.com/').'">TallyThemes</a> and powered by <a href="'.esc_url_raw('//wordpress.org/').'">WordPress</a>', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Footer Credit Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'textarea',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	/*	Footer Colors
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_footer_colors', 
		array(
			'title' => __( 'Footer Colors & BG', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_footer',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_footer_colors';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_footer_colors_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to change Footer Text, Font, Icon and Menu color?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Footer color and Background',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	if(tallytheme_d()){
	/*~ Footer Colors ~*/
	$uid = $prefix.'[footer_color_label1]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Widgets', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	$uid = $prefix.'[footer_widgets_title_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Title Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_widgets_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_widgets_link_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_widgets_linkHover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_widgets_border_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Border Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_widgets_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	
	/*Footer bar colors*/
	$uid = $prefix.'[footer_color_label2]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Footer Bar', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	$uid = $prefix.'[footer_bar_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_bar_link_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_bar_linkHover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_bar_border_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Border Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[footer_bar_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	}