<?php
	$wp_customize->add_panel( 'tallytheme_site_header', array(
		'title' => 'Site Header',
		'priority' => 10,
		'description' => '',
	));	
	
	
	/*	Logo
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_logo', 
		array(
			'title' => __( 'Logo', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_header',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_logo';
	
	/*-~- Logo -~-*/
	$uid = $prefix.'[site_logo]';
	$wp_customize->add_setting( $uid, array('default' => tallytheme_URI('assets/images/logo.png'), 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Upload Logo', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	
	
	/*	Header Content
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	
	$wp_customize->add_section( 'tallytheme_header_content', 
		array(
			'title' => __( 'Header Content', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_header',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_header_content';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[header_content_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to change Icon, Enable or Disable a content item?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control of Header Content',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	/*-~- Opening Hours -~-*/
	$uid = $prefix.'[header_time_label]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Opening Hours', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	if(tallytheme_d()){
	$uid = $prefix.'[header_time_active]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Show Opening Hours', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport'         => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
                'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	$uid = $prefix.'[header_time_icon]';
	$wp_customize->add_setting( $uid, array('default' => tallytheme_URI('assets/images/header-time-icon.png'), 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Opening Hours Icon', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	}
	$uid = $prefix.'[header_time_title]';
	$wp_customize->add_setting( $uid, array('default' => 'Opening Hours', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Opening Hours Title', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_time_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Mon - Sat 9.00 - 19.00', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Opening Hours Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*-~- Phone Number -~-*/
	$uid = $prefix.'[header_phone_label]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Phone Number', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	if(tallytheme_d()){
	$uid = $prefix.'[header_phone_active]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Enable Phone Number', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport' => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
                'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	$uid = $prefix.'[header_phone_icon]';
	$wp_customize->add_setting( $uid, array('default' => tallytheme_URI('assets/images/header-phone-icon.png'), 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Phone Number Icon', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	}
	$uid = $prefix.'[header_phone_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Call Us Now', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Phone Number Title', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_phone_number]';
	$wp_customize->add_setting( $uid, array('default' => '+49 123 456 789', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Phone Number', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*-~- Address -~-*/
	$uid = $prefix.'[header_address_label]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Address', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	if(tallytheme_d()){
	$uid = $prefix.'[header_address_active]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Show Address', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport'         => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
                'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	$uid = $prefix.'[header_address_icon]';
	$wp_customize->add_setting( $uid, array('default' => tallytheme_URI('assets/images/header-address-icon.png'), 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Address Icon', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	}
	$uid = $prefix.'[header_address_line1]';
	$wp_customize->add_setting( $uid, array('default' => '1275 York Avenue', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Address Line1', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_address_line2]';
	$wp_customize->add_setting( $uid, array('default' => 'New York, NY 10065', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Address Line2', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	
	/*	Header Social Icon
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_header_social', 
		array(
			'title' => __( 'Header Social Icon', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_header',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_header_social';
	$prefix2 = 'header_socialicon';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[header_socialicon_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to edit title of each icons or disable social icons?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Social Icons',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_active]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Enable Social Icon', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport'         => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
                'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	}
	
	/*~ Facebook ~*/
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_facebook_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Follow Us on Facebook', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Facebook Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	$uid = $prefix.'['.$prefix2.'_facebook_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Facebook Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Twitter ~*/
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_twitter_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Follow Us on Twitter', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Twitter Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	$uid = $prefix.'['.$prefix2.'_twitter_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Twitter Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Instagram ~*/
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_instagram_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Follow Us on Instagram', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Instagram Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	$uid = $prefix.'['.$prefix2.'_instagram_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Instagram Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Google+ ~*/
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_googleplus_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Follow Us on Google+', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Google+ Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	$uid = $prefix.'['.$prefix2.'_googleplus_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Google+ Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Pinterest ~*/
	if(tallytheme_d()){
	$uid = $prefix.'['.$prefix2.'_pinterest_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Follow Us on Pinterest', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Pinterest Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	$uid = $prefix.'['.$prefix2.'_pinterest_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Pinterest Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	
	
	/*	Header Settings
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_header_settings', 
		array(
			'title' => __( 'Header Settings', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_header',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_header_settings';
	
	if(tallytheme_d()){
	$uid = $prefix.'[header_top_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Top Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_bottom_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Bottom Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_logo_margin_top]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Logo Top Margin', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_content_margin_top]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Content Top Margin', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}else{
	$uid = $prefix.'[header_settings_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Missing some margin padding and heaight settings?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Header setting',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	
	/*	Header Colors
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_header_colors', 
		array(
			'title' => __( 'Header Colors & BG', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_header',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_header_colors';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_header_colors_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to change Header Text, Font, Icon and Menu color?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Header color and Background',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	if(tallytheme_d()){
	/*~ Header Colors ~*/
	$uid = $prefix.'[header_color_label1]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Header Colors', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	$uid = $prefix.'[header_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Header Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Header Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_textAlt_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Header Text-Alt Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_border_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Header Border Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Menu Colors ~*/
	$uid = $prefix.'[header_color_label2]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Menu Colors', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	$uid = $prefix.'[header_menu_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Menu Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_menu_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Menu Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_menu_hover_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Menu Text Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_menu_hover_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Menu Background Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	
	/*~ Social Icons Colors ~*/	
	$uid = $prefix.'[header_color_label3]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Social Icons Colors', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	$uid = $prefix.'[header_socialicon_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Social Icon Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_socialicon_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Social Icon Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_socialicon_hover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Social Icon Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[header_socialicon_bg_hover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	}