<?php
	$header_address_active = tallytheme_option('header_address_active','yes');
	$header_address_icon = tallytheme_option('header_address_icon',tallytheme_URI('assets/images/header-address-icon.png'));
	$header_address_line1 = tallytheme_option('header_address_line1','1275 York Avenue');
	$header_address_line2 = tallytheme_option('header_address_line2','New York, NY 10065');
	$header_phone_active = tallytheme_option('header_phone_active','yes');
	$header_phone_icon = tallytheme_option('header_phone_icon',tallytheme_URI('assets/images/header-phone-icon.png'));
	$header_phone_number = tallytheme_option('header_phone_number','+49 123 456 789');
	$header_phone_text = tallytheme_option('header_phone_text','Call Us Now');
	$header_time_active = tallytheme_option('header_time_active','yes');
	$header_time_icon = tallytheme_option('header_time_icon',tallytheme_URI('assets/images/header-time-icon.png'));
	$header_time_title = tallytheme_option('header_time_title','Opening Hours');
	$header_time_text = tallytheme_option('header_time_text','Mon - Sat 9.00 - 19.00');
?>
<header id="masthead" class="site-header" role="banner">
	<div class="site-header-inner">
    	<div class="branding">
        	<div class="branding-inner">
            	<?php echo tallytheme_site_logo(); ?>
                
                <div class="brand-elements">
					<?php if($header_address_active == 'yes'): ?>
                    <div class="header-address">
                        <?php if($header_address_icon != ''): ?><img src="<?php echo $header_address_icon; ?>" alt="<?php echo $header_address_line1; ?>" /><?php endif; ?>
                        <!--Image: https://www.iconfinder.com/icons/143826/location_pin_pointer_icon#size=128-->
                        <?php if(($header_address_line1 != '') || $header_address_line2 != ''): ?>
                        <p>
                            <?php if($header_address_line1 != ''): ?><strong><?php echo $header_address_line1; ?></strong><?php endif; ?>
                            <?php if($header_address_line2 != ''): ?><span><?php echo $header_address_line2; ?></span><?php endif; ?>
                        </p>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                    
                    <?php if($header_phone_active == 'yes'): ?>
                    <div class="header-phone">
                        <?php if($header_phone_icon != ''): ?><img src="<?php echo $header_phone_icon; ?>" alt="<?php echo $header_phone_number; ?>" /><?php endif; ?>
                        <!--Image: https://www.iconfinder.com/icons/143828/call_phone_telephone_icon#size=128-->
                        <?php if(($header_phone_text != '') || $header_phone_number != ''): ?>
                        <p>
                            <?php if($header_phone_text != ''): ?><strong><?php echo $header_phone_text; ?></strong><?php endif; ?>
                            <?php if($header_phone_number!=''): ?><span><a href="tel:<?php echo $header_phone_number; ?>"><?php echo $header_phone_number; ?></a></span><?php endif; ?>
                        </p>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                    
                    <?php if($header_time_active == 'yes'): ?>
                    <div class="header-hours">
                        <?php if($header_time_icon != ''): ?><img src="<?php echo $header_time_icon; ?>" alt="<?php echo $header_time_title; ?>" /><?php endif; ?>
                        <!--Image: https://www.iconfinder.com/icons/728924/clock_hour_schedule_stopwatch_time_timer_wait_icon#size=128-->
                        <?php if(($header_time_text != '') || $header_time_title != ''): ?>
                        <p>
                            <?php if($header_time_title != ''): ?><strong><?php echo $header_time_title; ?></strong><?php endif; ?>
                            <?php if($header_time_text != ''): ?><span><?php echo $header_time_text; ?></span><?php endif; ?>
                        </p>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <div class="site-menu">
        	<div class="site-menu-inner">
            	<div id="navigation">
					<?php
                            wp_nav_menu( array(
                                'theme_location' => 'primary',
                                'menu_class'     => 'primary-menu',
                            ) );
					?>
                </div>
                
                <?php tallytheme_social_icons('header', 'header-social-icons'); ?>
                <a href="#" class="responsive-menu-hand"><i class="fa fa-align-justify"></i></a>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
</header>
<div class="responsive-menu">
<a href="#" class="responsive-menu-close">X</a>
</div>