<?php	
	/*	Blog Page Hero
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_home_hero', 
		array(
			'title' => __( 'Blog Page Hero', 'kutub' ),
            'description' => '',
			//'panel' => 'tallytheme_site_hero',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_home_hero';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_home_hero_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want more option?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over blog hero',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	$uid = $prefix.'[hero_enable]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Enable Blog Hero', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport'         => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
				'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	
	/*-~- LABEL: 1 -~-*/
	$uid = $prefix.'[hero_labe_1]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Hero Contents', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	
	/*-~- Title -~-*/
	$uid = $prefix.'[hero_title]';
	$wp_customize->add_setting( $uid, array('default' => 'This is your chance', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Title', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport'         => 'refresh',
		)) 
	);

	/*-~- Subitile -~-*/
	$uid = $prefix.'[hero_subtitle]';
	$wp_customize->add_setting( $uid, array('default' => 'to jumpstart your business', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Sub-Title', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	/*-~- Text -~-*/
	$uid = $prefix.'[hero_text]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'textarea',
			'transport' => 'refresh',
		)) 
	);
	
	/*-~- Button Text -~-*/
	if(tallytheme_d()){
	$uid = $prefix.'[hero_button_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Read More', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	/*-~- Button Link -~-*/
	$uid = $prefix.'[hero_button_link]';
	$wp_customize->add_setting( $uid, array('default' => '#', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Link', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	
	if(tallytheme_d()){
	/*-~- Top Padding -~-*/
	$uid = $prefix.'[hero_top_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Top Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	/*-~- Bottom Padding -~-*/
	$uid = $prefix.'[hero_bottom_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Bottom Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	/*-~- LABEL: 2 -~-*/
	$uid = $prefix.'[hero_labe_2]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Hero Background', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	if(tallytheme_d()){
	/*-~- Background Color -~-*/
	$uid = $prefix.'[hero_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	}
	/*-~- Background Image -~-*/
	$uid = $prefix.'[hero_bg_image]';
	$wp_customize->add_setting( $uid, array('default' => tallytheme_URI('assets/images/hero-bg.jpg'), 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Image', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	
	
	/*-~- LABEL: 3 -~-*/
	if(tallytheme_d()){
	$uid = $prefix.'[hero_labe_3]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( 'Hero Colors', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	
	/*-~- Title Color -~-*/
	$uid = $prefix.'[hero_title_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Title Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Sub-Title Color -~-*/
	$uid = $prefix.'[hero_subtitle_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Sub-Title Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Text Color -~-*/
	$uid = $prefix.'[hero_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Button Text Color -~-*/
	$uid = $prefix.'[hero_button_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Button Background Color -~-*/
	$uid = $prefix.'[hero_button_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Button Text Hover Color -~-*/
	$uid = $prefix.'[hero_button_text_hover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Text Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	/*-~- Button Background Hover Color -~-*/
	$uid = $prefix.'[hero_button_bg_hover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Button Background Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	}