<?php
	$wp_customize->add_panel( 'tallytheme_site_incontent', array(
		'title' => 'Site Content',
		'priority' => 10,
		'description' => '',
	));	
	
	
	/*	Content Settings
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_incontent_settings', 
		array(
			'title' => __( 'Content Settings', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_incontent',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_incontent_settings';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_incontent_settings_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want more options and setting?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Content Settings',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	if(tallytheme_d()){
	/*-~- Top Padding -~-*/
	$uid = $prefix.'[incontent_top_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Top Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	/*-~- Bottom Padding -~-*/
	$uid = $prefix.'[incontent_bottom_padding]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Bottom Padding', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	
	/*	Custom Text
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_incontent_customtext', 
		array(
			'title' => __( 'Custom Text', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_incontent',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_incontent_customtext';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_incontent_customtext_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want to change some text of the theme to your langusage?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over Custom Text',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	
	if(tallytheme_d()){
	/*-~- LABEL: 1 -~-*/
	$uid = $prefix.'[header_incontent_labe_1]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'esc_url_raw') );
	$wp_customize->add_control( new tallytheme_Customize_Control_heading($wp_customize, $uid, 
		array(
			'label' => __( '404 Template Text', 'kutub' ),
			'description' => '',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
		)) 
	);
	/*-~- Big Text -~-*/
	$uid = $prefix.'[incontent_text_404_big]';
	$wp_customize->add_setting( $uid, array('default' => '404', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Big Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	/*-~- Heading Text -~-*/
	$uid = $prefix.'[incontent_text_404_heading]';
	$wp_customize->add_setting( $uid, array('default' => 'Oops! That Page Can\'t Be Found.', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Heading Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	/*-~- Heading Text -~-*/
	$uid = $prefix.'[incontent_text_404_des]';
	$wp_customize->add_setting( $uid, array('default' => '<p>Looks like the page you are trying to visit does not exits.</p><p>Please check the URL and try your luck again.</p>', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Description Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'textarea',
			'transport' => 'refresh',
		)) 
	);
	}
	
	
	/*	Color & Background
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_incontent_color', 
		array(
			'title' => __( 'Color & Background', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_incontent',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_incontent_color';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_incontent_color_info]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Change text, link background colors...?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for full control over color',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	if(tallytheme_d()){
	$uid = $prefix.'[incontent_bg_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Background Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_title_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Title Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_border_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Border Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	
	$uid = $prefix.'[incontent_link_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_linkHover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Link Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	
	
	$uid = $prefix.'[incontent_sidebar_text_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Sidebar Text Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_sidebar_link_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Sidebar Link Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	$uid = $prefix.'[incontent_sidebar_link_hover_color]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Sidebar Link Hover Color', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'transport' => 'refresh',
		)) 
	);
	}