<?php
function tallytheme_URI($url){
	if(file_exists(get_stylesheet_directory().'/'.$url)){
		return get_stylesheet_directory_uri().'/'.$url;
	}else{
		return get_template_directory_uri().'/'.$url;
	}
}
function tallytheme_DRI($url){
	if(file_exists(get_stylesheet_directory().'/'.$url)){
		return get_stylesheet_directory().'/'.$url;
	}else{
		return get_template_directory().'/'.$url;
	}
}

function tallytheme_option($name, $default = NULL){
	$output = $default;
	$option = get_option('tt_'.TALLYTHEME_SLUG);
	
	if(isset($option[$name])){
		$output = $option[$name];
	}
	
	return $output;
}


function tallytheme_googleFontFamily($option, $default = 'Arial, Helvetica, sans-serif'){
	$font_name = '';
	$option = tallytheme_option($option, $default);
	if(tallytheme_option('enable_googlefont') != 'no'){
		if($option != ''){
			$font_name = str_replace("+", " ", strstr($option, ':', true));
			if($font_name == ''){  
				$font_name = "'".str_replace("+", " ", $option)."'";
			}else{
				$font_name = "'".str_replace("+", " ", strstr($option, ':', true))."'";
			}
		}
	}
	
	return $font_name;
}


function tallytheme_hex2rgb($hex) {
	
	if($hex != ''){
		$hex = str_replace("#", "", $hex);
		
		if(strlen($hex) == 3) {
			$r = hexdec(substr($hex,0,1).substr($hex,0,1));
			$g = hexdec(substr($hex,1,1).substr($hex,1,1));
			$b = hexdec(substr($hex,2,1).substr($hex,2,1));
		} else {
			$r = hexdec(substr($hex,0,2));
			$g = hexdec(substr($hex,2,2));
			$b = hexdec(substr($hex,4,2));
		}
		$rgb = array($r, $g, $b);
		return implode(",", $rgb); // returns the rgb values separated by commas
		//return $rgb; // returns an array with the rgb values
	}
}


function tallytheme_d(){
	$output = false;
	if(function_exists('tallytheme_i')){
		if(md5(TALLYTHEME_SLUG.'3dev-t') == tallytheme_i()){
			$output = true;
		}
	}
	return $output;
}

function tallytheme_css_style($selector, $option, $style){
	if($option != ''){
		echo $selector.'{'.str_replace("%s%", $option, $style).'}'."\n";
	}
}


/* Output Content Nav
-------------------------------------------------*/
function tallytheme_paginate($query = NULL){
	global $wp_query;
	if($query == NULL){
		$query = $wp_query;
	}
	$output = null;
	
	if ($query->max_num_pages > 1) {
		$output .= '<div class="pagenav">';
			$big = 999999999; // need an unlikely integer		
			$output .= paginate_links( array(
				'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
				'format' => '?paged=%#%',
				'current' => max( 1, get_query_var('paged') ),
				'total' => $query->max_num_pages
			));
		$output .= '</div>';
	}
	
	return $output;
}

function tallytheme_social_icons($prefix, $div_class){
	$prefix = $prefix.'_socialicon';
	if(tallytheme_option($prefix.'_active', 'yes') == 'yes'){
		echo '<div class="social-icons '.$div_class.'">';
			echo '<div class="social-icons-inner">';
				$link = tallytheme_option($prefix.'_facebook_link', '#');
				$title = tallytheme_option($prefix.'_facebook_text', 'Follow Us on Facebook');
				if($link != ''){ echo '<a href="'.$link.'" title="'.$title.'" target="_blank" rel="nofollow"><i class="fa fa-facebook"></i></a>'; }
				
				$link = tallytheme_option($prefix.'_twitter_link', '#twitter');
				$title = tallytheme_option($prefix.'_twitter_text', 'Follow Us on Twitter');
				if($link != ''){ echo '<a href="'.$link.'" title="'.$title.'" target="_blank" rel="nofollow"><i class="fa fa-twitter"></i></a>'; }
				
				$link = tallytheme_option($prefix.'_instagram_link', '#');
				$title = tallytheme_option($prefix.'_instagram_text', 'Follow Us on Instagram');
				if($link != ''){ echo '<a href="'.$link.'" title="'.$title.'" target="_blank" rel="nofollow"><i class="fa fa-instagram"></i></a>'; }
				
				$link = tallytheme_option($prefix.'_googleplus_link', '#');
				$title = tallytheme_option($prefix.'_googleplus_text', 'Follow Us on Google+');
				if($link != ''){ echo '<a href="'.$link.'" title="'.$title.'" target="_blank" rel="nofollow"><i class="fa fa-google-plus"></i></a>'; }
				
				$link = tallytheme_option($prefix.'_pinterest_link', '#');
				$title = tallytheme_option($prefix.'_pinterest_text', 'Follow Us on pinterest');
				if($link != ''){ echo '<a href="'.$link.'" title="'.$title.'" target="_blank" rel="nofollow"><i class="fa fa-pinterest"></i></a>'; }			
			echo '</div>';
		echo '</div>';
	}
}

//print_r(get_option('tt_kutub'));


function tallytheme_site_header(){
	if(file_exists(tallytheme_DRI('inc/content/header/header-html.php'))){
		include(tallytheme_DRI('inc/content/header/header-html.php'));
	}
}
function tallytheme_site_subheader(){
	if(file_exists(tallytheme_DRI('inc/content/subheader/subheader-html.php'))){
		include(tallytheme_DRI('inc/content/subheader/subheader-html.php'));
	}
}
function tallytheme_site_footer(){
	if(file_exists(tallytheme_DRI('inc/content/footer/footer-html.php'))){
		include(tallytheme_DRI('inc/content/footer/footer-html.php'));
	}
}
function tallytheme_site_sidebar(){
	if(file_exists(tallytheme_DRI('inc/content/sidebar/sidebar-html.php'))){
		include(tallytheme_DRI('inc/content/sidebar/sidebar-html.php'));
	}
}


function tallytheme_site_hero(){
	if(file_exists(tallytheme_DRI('inc/content/hero/hero-html.php'))){
		include(tallytheme_DRI('inc/content/hero/hero-html.php'));
	}
}


function tallytheme_incontent_archive(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-archive.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-archive.php'));
	}
}
function tallytheme_incontent_single(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-single.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-single.php'));
	}
}
function tallytheme_incontent_page(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-page.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-page.php'));
	}
}
function tallytheme_incontent_search(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-search.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-search.php'));
	}
}
function tallytheme_incontent_author(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-author.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-author.php'));
	}	
}
function tallytheme_incontent_attachment(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-attachment.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-attachment.php'));
	}
}
function tallytheme_incontent_404(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-404.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-404.php'));
	}
}
function tallytheme_incontent_comments(){
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-html-comments.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-html-comments.php'));
	}
}




if(!function_exists('tallytheme_site_logo')):
function tallytheme_site_logo(){
	$site_logo = tallytheme_option('site_logo', tallytheme_URI('assets/images/logo.png'));
	?>
    <div class="site-logo">
    	<div class="site-logo-inner">
			<?php if($site_logo != ''): ?>
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php echo $site_logo; ?>" alt="<?php bloginfo( 'name' ); ?>" /></a>
            <?php else: ?>
                <?php if ( is_front_page() && is_home() ) : ?>
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php else : ?>
                    <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                <?php endif;
                $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                    <p class="site-description"><?php echo $description; ?></p>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    </div>
    <?php	
}
endif;