<?php
function tallytheme_customizer_customizer_panel_style(){
	?>
	<style>
	#customize-controls img {
		max-width: 100%;
		width:auto;
	}
	.tallytheme_Customize_Control_heading{
		padding: 9px 15px;
		border: 1px solid #36404B;
		background-color: #36404B;
		margin-left: -20px;
		margin-right: -20px;
		border-left: 0;
		border-right: 0;
		margin-bottom: 0;
		margin-top: 20px;
		color: #fff;
	}
	.tallytheme_Customize_Control_heading h4{
		margin-bottom: 3px;
		margin-top: 0;
		font-size: 20px;
		text-transform: uppercase;
		font-weight: bold;
	}
	.tallytheme_Customize_Control_heading p{
		margin-bottom: 0;
    	margin-top: 0;
	}
	.tallytheme_Customize_Control_info{
	    background-color: #96FDBA;
		color: #000;
		padding: 12px 13px;
		border-radius: 6px
	}
	.tallytheme_Customize_Control_info h4{
		margin-top: 0;
		margin-bottom: 7px;
		font-size: 17px;
		line-height: 1.3;
	}
	.tallytheme_Customize_Control_info p{
	    margin: 0;
    	font-size: 14px;
	}
	.tallytheme_Customize_Control_info a{
	    color: #F00;
		text-decoration: underline !important;
		font-weight: bold;
	}
	.tallytheme_Customize_Control_info a:hover{
		color: #0D6386;	
	}
	</style>
	<?php
}
add_action( 'customize_controls_print_styles', 'tallytheme_customizer_customizer_panel_style' );


function tallytheme_customizer_register($wp_customize){
	//$prefix = tallytheme_option_name();
	$prefix = 'tt_'.TALLYTHEME_SLUG;;
	
	/*~ Header ~*/
	if(file_exists(tallytheme_DRI('inc/content/header/header-customize.php'))){
		include(tallytheme_DRI('inc/content/header/header-customize.php'));
	}
	
	/*~ Footer ~*/
	if(file_exists(tallytheme_DRI('inc/content/footer/footer-customize.php'))){
		include(tallytheme_DRI('inc/content/footer/footer-customize.php'));
	}
	
	/*~ Subheader ~*/
	if(file_exists(tallytheme_DRI('inc/content/subheader/subheader-customize.php'))){
		include(tallytheme_DRI('inc/content/subheader/subheader-customize.php'));
	}
	
	/*~ Sidebar ~*/
	if(file_exists(tallytheme_DRI('inc/content/sidebar/sidebar-customize.php'))){
		include(tallytheme_DRI('inc/content/sidebar/sidebar-customize.php'));
	}
	
	/*~ Incontent ~*/
	if(file_exists(tallytheme_DRI('inc/content/incontent/incontent-customize.php'))){
		include(tallytheme_DRI('inc/content/incontent/incontent-customize.php'));
	}
	
	/*~ hero ~*/
	if(file_exists(tallytheme_DRI('inc/content/hero/hero-customize.php'))){
		include(tallytheme_DRI('inc/content/hero/hero-customize.php'));
	}


	$wp_customize->add_panel( 'tallytheme_site_typography', array(
		'title' => 'Typography',
		'priority' => 10,
		'description' => '',
	));
	
	/*	Google Font
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_typography_googlefont', 
		array(
			'title' => __( 'Google Font', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_typography',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_typography_googlefont';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_typography_googlefont_infor]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want change the font?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for control over Google font',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	if(tallytheme_d()){
	$uid = $prefix.'[enable_googlefont]';
	$wp_customize->add_setting( $uid, array('default' => 'yes', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Enable Google Font', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'select',
			'transport' => 'refresh',
			'choices'    => array(
				'yes'     => __('Yes', 'kutub'),
				'no'     => __('No', 'kutub'),
            ),
		)) 
	);
	
	$uid = $prefix.'[googlefont_menu]';
	$wp_customize->add_setting( $uid, array('default' => 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Font Name for Menu', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Copy the Google Font Family from <a href="http://www.google.com/fonts" target="_blank">http://www.google.com/fonts</a> like: <strong>Open+Sans:400,700,600</strong>', 'kutub'),
		)) 
	);
	$uid = $prefix.'[googlefont_headings]';
	$wp_customize->add_setting( $uid, array('default' => 'Montserrat:400,700', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Font for Headings', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Copy the Google Font Family from <a href="http://www.google.com/fonts" target="_blank">http://www.google.com/fonts</a> like: <strong>Open+Sans:400,700,600</strong>', 'kutub'),
		)) 
	);
	$uid = $prefix.'[googlefont_text]';
	$wp_customize->add_setting( $uid, array('default' => 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic', 'type' => 'option', 'sanitize_callback' => 'wp_kses') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Font for Body Text', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Copy the Google Font Family from <a href="http://www.google.com/fonts" target="_blank">http://www.google.com/fonts</a> like: <strong>Open+Sans:400,700,600</strong>', 'kutub'),
		)) 
	);
	}
	
	/*	Font Size
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
	$wp_customize->add_section( 'tallytheme_typography_fontsize', 
		array(
			'title' => __( 'Font Size', 'kutub' ),
            'description' => '',
			'panel' => 'tallytheme_site_typography',
			'priority' => 10,
		) 
	);
	$section = 'tallytheme_typography_fontsize';
	
	if(!tallytheme_d()){
	$uid = $prefix.'[tallytheme_typography_fontsize_infor]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new tallytheme_Customize_Control_info($wp_customize, $uid, 
		array(
			'label' => __( 'Want change the font Size?', 'kutub' ),
			'description' => 'Check out the <a href="'.TALLYTHEME_THEME_URL.'" target="_blank">PRO version</a> <br>for control over Font size',
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
		)) 
	);
	}
	if(tallytheme_d()){
	$uid = $prefix.'[h1_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H1 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[h2_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H2 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[h3_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H3 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[h4_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H4 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[h5_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H5 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[h6_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'H6 Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	$uid = $prefix.'[body_font_size]';
	$wp_customize->add_setting( $uid, array('default' => '', 'type' => 'option', 'sanitize_callback' => 'sanitize_text_field') );
	$wp_customize->add_control( new WP_Customize_Control($wp_customize, $uid, 
		array(
			'label' => __( 'Body Font Size', 'kutub' ),
			'section' => $section,
			'settings' => $uid,
			'priority' => 10,
			'type' => 'text',
			'transport' => 'refresh',
			'description' => __('Use for size as pixel', 'kutub'),
		)) 
	);
	}
}
add_action( 'customize_register' , 'tallytheme_customizer_register' );