<?php
define('TALLYTHEME_GOOGLE_FONT_1', 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic'); 
define('TALLYTHEME_GOOGLE_FONT_2', 'Montserrat:400,700'); 
define('TALLYTHEME_GOOGLE_FONT_3', 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic'); 
define('TALLYTHEME_GOOGLE_FONT_4', 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic'); 
define('TALLYTHEME_GOOGLE_FONT_5', 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic'); 

include('custom-functions.php');
include('script-loader.php');
include('content-loader.php');
include('customize/custom_control_heading.php');
include('customize/custom_control_info.php');
include('customize/tt-customize.php');
include('customize/tt-customize-actions.php');
include('tallybuilder/tallybuilder-connect.php');
include('vendors/class-tgm-plugin-activation.php');
include('vendors/tgm-config.php');




add_action( 'after_setup_theme', 'tallytheme_setup' );
function tallytheme_setup(){
	
	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array(
		'aside',
		'image',
		'video',
		'quote',
		'link',
		'gallery',
		'status',
		'audio',
		'chat',
	));
	
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	));
	
	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );
	
	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );
	
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on Twenty Sixteen, use a find and replace
	 * to change 'twentysixteen' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'kutub', get_template_directory() . '/languages' );
	
	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 1100, 0, true );
}


/**
 * Sets the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function tallytheme_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'tallytheme_content_width', 1100 );
}
add_action( 'after_setup_theme', 'tallytheme_content_width', 0 );