<?php
add_action('wp_enqueue_scripts', 'tallytheme_scripts_loader');
function tallytheme_scripts_loader(){
	wp_enqueue_style('font-awesome', tallytheme_URI('assets/css/font-awesome.min.css'));
	wp_enqueue_style('magnific-popup', tallytheme_URI('assets/css/magnific-popup.css'));
	
	wp_enqueue_style('bootstrap',tallytheme_URI('assets/bootstrap/css/bootstrap.min.css'));
	wp_enqueue_script('bootstrap',tallytheme_URI('assets/bootstrap/js/bootstrap.min.js') , array('jquery'), '', true);
	
	wp_enqueue_style('theme',tallytheme_URI('style.css'));
	
	wp_enqueue_script('bootstrap',tallytheme_URI('assets/js/skip-link-focus-fix.js') , array('jquery'), '', true);
	wp_enqueue_script('magnific-popup',tallytheme_URI('assets/js/jquery.magnific-popup.min.js') , array('jquery'), '1.0.1', true);
	wp_enqueue_script('theme',tallytheme_URI('assets/js/theme.js') , array('jquery','masonry'), '', true);
	
	if ( is_singular() && get_option( 'thread_comments' ) ){
		wp_enqueue_script( 'comment-reply' );
	}
	
	$googlefont_menu = tallytheme_option('googlefont_menu', TALLYTHEME_GOOGLE_FONT_1);
	$googlefont_headings = tallytheme_option('googlefont_headings', TALLYTHEME_GOOGLE_FONT_2);
	$googlefont_text = tallytheme_option('googlefont_text', TALLYTHEME_GOOGLE_FONT_3);
	
	if(tallytheme_option('enable_googlefont') != 'no'){
		
		$http = (is_ssl()) ? 'https' : 'http';
		
		if($googlefont_menu != ''){
			
			$font_handle = strstr($googlefont_menu, ':', true);
			if($font_handle == ''){ $font_handle = $googlefont_menu; }
			
			wp_enqueue_style( strtolower(str_replace('+', '-', $font_handle)), $http.'://fonts.googleapis.com/css?family='.$googlefont_menu );
		}
		if($googlefont_headings != ''){
			
			$font_handle = strstr($googlefont_headings, ':', true);
			if($font_handle == ''){ $font_handle = $googlefont_headings; }
			
			wp_enqueue_style( strtolower(str_replace('+', '-', $font_handle)), $http.'://fonts.googleapis.com/css?family='.$googlefont_headings );
		}
		if($googlefont_text != ''){
			
			$font_handle = strstr($googlefont_text, ':', true);
			if($font_handle == ''){ $font_handle = $googlefont_text; }
			
			wp_enqueue_style( strtolower(str_replace('+', '-', $font_handle)), $http.'://fonts.googleapis.com/css?family='.$googlefont_text );
		}
	}
}